## Apache Zeta Components Manual :: Docs For Class ezcTestRegressionTest

### Feed::Tests::ezcTestRegressionTest

### Class ezcTestRegressionTest

Source for this file: /UnitTest/src/regression_test.php

    PHPUnit_Framework_TestCase
       |
       --ezcTestCase
          |
          --ezcTestRegressionTest

Version: | //autogentag//

### Constants

`SORT_MODE = 'name'` | How to sort the test files: 'mtime' sorts by modification time, any other value sorts by name.

### Member Variables

protected mixed | `$currentFile`
protected mixed | `$files = array()`

### Method Summary

public static void | `suite( )`
public ezcTestRegressionTest | `__construct( )`
public void | `getFiles( )`
public void | `getName( [ $withDataSet = TRUE] )`
protected void | `outFileName( $file , $inExtension , [ $outExtension = '.out'] )`
protected void | `readDirRecursively( $dir , &$total , [ $onlyWithExtension = false] )`
public void | `runTest( )`
public void | `setCurrentFile( $file )`
protected void | `sortTestsByMtime( $a , $b )`
protected void | `sortTestsByName( $a , $b )`

### Inherited Methods

From ezcTestCase
public void | `ezcTestCase::assertSetProperty()` Checks if $expectedValues are properly set on $propertyName in $object.
public void | `ezcTestCase::assertSetPropertyFails()` Checks if $setValues fail when set on $propertyName in $object.
public void | `ezcTestCase::cleanTempDir()`
protected void | `ezcTestCase::createTempDir()` Creates and returns the temporary directory.
public void | `ezcTestCase::getTempDir()` Get the name of the temporary directory.
public void | `ezcTestCase::removeTempDir()` Remove the temp directory.

### Methods

#### suite

static void suite( )

#### __construct

ezcTestRegressionTest __construct( )

#### getFiles

void getFiles( )

#### getName

void getName( [ $withDataSet = TRUE] )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$withDataSet` |  |

#### outFileName

void outFileName( $file , $inExtension , [ $outExtension = '.out'] )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$file` |  |
`$inExtension` |  |
`$outExtension` |  |

#### readDirRecursively

void readDirRecursively( $dir , &$total , [ $onlyWithExtension = false] )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$dir` |  |
`&$total` |  |
`$onlyWithExtension` |  |

#### runTest

void runTest( )

#### setCurrentFile

void setCurrentFile( $file )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$file` |  |

#### sortTestsByMtime

void sortTestsByMtime( $a , $b )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$a` |  |
`$b` |  |

#### sortTestsByName

void sortTestsByName( $a , $b )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$a` |  |
`$b` |  |

Documentation generated by phpDocumentor 1.4.3